Bug 2952 - ntfs-config не переведен
: ntfs-config не переведен
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 13:13 MSD by Postnikov Dmitry
Modified: 2015-11-24 09:06 MSK (History)
6 users (show)

See Also:
RPM Package: ntfs-config-1.1-4-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
sc2.png (198.42 KB, image/png)
2013-10-19 13:13 MSD, Postnikov Dmitry
Details
прилагаю приглаженный перевод, убрала все эти «вы можете» и т.п., покороче и почище стало (16.96 KB, text/x-gettext-translation)
2013-10-21 18:56 MSD, JDronova
Details
Теперь русский ок, из контейнера который (210.68 KB, image/png)
2013-10-22 15:28 MSD, JDronova
Details
child window not localized (664.30 KB, video/webm)
2013-10-23 17:35 MSD, Vladimir Potapov
Details
ss7 (72.43 KB, image/png)
2015-11-17 13:59 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-10-19 13:13:44 MSD
Created attachment 2075 [details]
sc2.png

Description of problem:
ntfs-config не переведен
Comment 1 JDronova 2013-10-21 16:27:20 MSD
На ланчпаде у них перевод сидит, вроде переведено полностью, но года 4 назад ( https://translations.launchpad.net/ntfs-config/+translations ). Сейчас забираю и проверю со свежим пакетом.
Comment 2 JDronova 2013-10-21 18:22:40 MSD
В процессе проверки перевода и затем проверки исходника пакета выясняется, что пакет идёт с полным переводом, но какой-то причине программа перевод не подхватывает. Локальная проверка даёт такой же результат — подставляю перевод в формате .mo, программа упорно пишет всё на инглише. Просим помощи у Александра Друз.... т.е. Дениса Силакова.
Comment 3 JDronova 2013-10-21 18:38:11 MSD
Кстати, на оф сайте ntfs-config последний лежит версии 1.1, а у нас откуда-то 1.4, а внутри сырцы 1.1 и патч неясного авторства, и перевод пошки от Саши Казанцева.
Может патч кривой? Пакет брала вот этот, если что: http://abf-downloads.rosalinux.ru/rosa2012.1/repository/SRPMS/main/updates/ntfs-config-1.1-4.src.rpm
Comment 4 JDronova 2013-10-21 18:56:38 MSD
Created attachment 2088 [details]
прилагаю приглаженный перевод, убрала все эти «вы можете» и т.п., покороче и почище стало
Comment 5 Denis Silakov 2013-10-21 20:27:06 MSD
У нас тоже версия 1.1, это релиз - 4 (в итоге имеем "1.1-4" в имени пакета). Так что с версиями все ok:)
Comment 6 JDronova 2013-10-21 20:45:31 MSD
Да, сорри, разобралась уже, но переводы он не подхватывает, это факт.
Comment 7 Denis Silakov 2013-10-22 12:41:27 MSD
Там что-то с контекстами не так. Если выкинуть из ru.po все "msgctxt" и перегенерить ru.mo, то все работает.

Только я не знаю - хорошо так делать или нет?
Comment 8 Aleksandr Kazantcev 2013-10-22 12:49:50 MSD
У меня ощущение, что у нас сломат gettext. Ради интереса Юля обнови через intltool-update -p в po директории pot файл и его переведи хотя бы где видно - подхватит или нет. Если не подхватит, то какие то глюки с генерацией верных pot или обработкой mo :(
Comment 9 Denis Silakov 2013-10-22 12:55:30 MSD
Может и сломан.

Он не то чтобы не подхватывает файл. Часть сообщений-то переведена, но msgctxt ему мозг выносит, похоже, и некоторые сообщения показываются непереведенными.
Comment 10 Denis Silakov 2013-10-22 13:13:11 MSD
Попробуйте вот эти сборки:

https://abf.rosalinux.ru/build_lists/1363446
https://abf.rosalinux.ru/build_lists/1363447


У меня ntfs нет нигде, чтобы самому все посмотреть.
Comment 11 JDronova 2013-10-22 15:28:41 MSD
Created attachment 2098 [details]
Теперь русский ок, из контейнера который
Comment 12 Denis Silakov 2013-10-22 15:32:21 MSD
Advisory:

Fix Russian localization for ntfs-config

Build lists:
https://abf.rosalinux.ru/build_lists/1363446
https://abf.rosalinux.ru/build_lists/1363447
Comment 13 Vladimir Potapov 2013-10-23 17:03:38 MSD
Не удаётся установить запрошенный пакет:
ntfs-config-1.1-5-rosa2012.1.x86_64 (из-за неудовлетворённости python-2.7.3-6-rosa2012.1.x86_64)

Это не регрессия, что-то сломалось раньше, но править нужно.
Comment 14 Denis Silakov 2013-10-23 17:05:51 MSD
А у тебя main/updates не отвалился случаем?
Comment 15 Vladimir Potapov 2013-10-23 17:17:42 MSD
(In reply to comment #14)
> А у тебя main/updates не отвалился случаем?

Обновил еще раз  - работает. Да я же непрерывно пакеты ставлю-удаляю...
Comment 16 Vladimir Potapov 2013-10-23 17:24:07 MSD
Отключение x32 источников решает проблему. Опять urpmi глючит.
Comment 17 Denis Silakov 2013-10-23 17:34:11 MSD
Глюки urpmi неплохо бы отлавливать с '--debug', так-то проку мало. Особенно если не очень воспроизводится. Я в 64битах с подключенными репами нормально поставил ntfs-config из контейнера.

Вообще косяки возможны, 32бит репы по умолчанию включать никто ведь до нас не пробовал. Так что если удастся отловить баг в urpmi (лучше бы воспроизводящийся) - заводите соответствующий баг:)
Comment 18 Vladimir Potapov 2013-10-23 17:35:07 MSD
Created attachment 2106 [details]
child window not localized

*************
QA Denied
Comment 19 Denis Silakov 2013-10-23 17:36:35 MSD
Во, я же говорил, надо в реальной работе попробовать:)
Comment 20 Vladimir Potapov 2013-10-23 17:48:35 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=2968
Comment 21 JDronova 2013-10-23 17:49:20 MSD
Надо тогда перегенерить .pot всё-таки, сделаю.
Comment 22 Denis Silakov 2013-10-23 17:52:50 MSD
(In reply to comment #20)
> http://bugs.rosalinux.ru/show_bug.cgi?id=2968

А там наверное подключился 32битный контейнер, тогда понятно. Да, надо будет править.
Comment 23 FirstLevel 2014-10-08 15:06:00 MSD
Прошу проверить проблему на новом релизе системы
http://mirror.rosalab.ru/rosa/rosa2014.1/iso/ROSA.Fresh.R4/
Comment 24 Denis Silakov 2015-10-25 21:41:57 MSK
Проблема-таки была на месте. Перегенерил pot-файл, добавил перевод некоторых добавившихся фраз. Те, что были на видео - теперь точно переведены.

Advisory:

Fix Russian localization for ntfs-config

Build lists:
https://abf.io/build_lists/2596863
https://abf.io/build_lists/2596864
Comment 25 Vladimir Potapov 2015-11-17 13:59:46 MSK
Created attachment 4292 [details]
ss7

Что-то пошло не так...
Comment 26 Vladimir Potapov 2015-11-17 17:05:47 MSK
Localization bug
******************************
QA Denied
Comment 27 Denis Silakov 2015-11-18 16:56:19 MSK
New attempt:
https://abf.io/build_lists/2599219
https://abf.io/build_lists/2599220
Comment 28 Vladimir Potapov 2015-11-18 18:46:56 MSK
The update is sent to expanded testing
***************************************
Comment 29 Vladimir Potapov 2015-11-24 06:38:48 MSK
ntfs-config-1.1-8
https://abf.io/build_lists/2599219
https://abf.io/build_lists/2599220
************************* Advisory **************************
Localization fix
*************************************************************
QA Verified